{
  "name": "admin-portal",
  "version": "0.0.0",
  "license": "MIT",
  "scripts": {
    "ng": "ng",
    "start": "ng serve  --host 0.0.0.0 --disable-host-check --port=5000",
    "build": "ng build --prod; npm run after-build-clean",
    "build-beta": "ng build --configuration=beta; npm run after-build-clean",
    "test": "ng test",
    "lint": "ng lint",
    "e2e": "ng e2e",
    "after-build-clean": "rm -rf dist/assets/common-assets/.svn/ dist/assets/connect-assets/.svn/"
  },
  "private": true,
  "dependencies": {
    "@angular/animations": "7.2.14",
    "@angular/cdk": "^7.3.7",
    "@angular/common": "7.2.14",
    "@angular/compiler": "7.2.14",
    "@angular/core": "7.2.14",
    "@angular/forms": "7.2.14",
    "@angular/http": "7.2.14",
    "@angular/material": "^7.3.7",
    "@angular/platform-browser": "7.2.14",
    "@angular/platform-browser-dynamic": "7.2.14",
    "@angular/router": "7.2.14",
    "@nguniversal/express-engine": "^6.0.0",
    "@types/express": "^4.16.1",
    "angular-datatables": "^4.4.1",
    "citation-js": "^0.3.4",
    "ng2-ckeditor": "1.1.9",
    "clipboard": "^1.5.16",
    "core-js": "2.6.8",
    "datatables.net": "^1.10.19",
    "datatables.net-dt": "^1.10.19",
    "interactiveminingv3": "file:interactiveminingv3.tgz",
    "jquery": "^3.4.1",
    "ng-recaptcha": "^3.0.5",
    "ngx-bootstrap": "^1.6.6",
    "ngx-color-picker": "^8.1.0",
    "ngx-json-ld": "0.1.6",
    "ts-md5": "^1.2.0",
    "tslib": "^1.9.0",
    "zone.js": "0.8.29"
  },
  "devDependencies": {
    "@angular-devkit/build-angular": "~0.13.0",
    "@angular/cli": "7.3.9",
    "@angular/compiler-cli": "7.2.14",
    "@angular/language-service": "7.2.14",
    "@types/datatables.net": "^1.10.17",
    "@types/jasmine": "~2.8.8",
    "@types/jasminewd2": "~2.0.3",
    "@types/jquery": "^3.3.29",
    "@types/node": "^8.0.30",
    "codelyzer": "~4.5.0",
    "jasmine-core": "~2.99.1",
    "jasmine-spec-reporter": "~4.2.1",
    "karma": "~3.0.0",
    "karma-chrome-launcher": "~2.1.1",
    "karma-cli": "~1.0.1",
    "karma-coverage-istanbul-reporter": "~2.0.1",
    "karma-jasmine": "~1.1.2",
    "karma-jasmine-html-reporter": "^0.2.2",
    "protractor": "~5.4.0",
    "ts-node": "~7.0.0",
    "tslint": "^5.7.0",
    "typescript": "3.2.4",
    "rxjs": "6.5.1",
    "rxjs-compat": "^6.5.1",
    "rxjs-tslint": "^0.1.7"
  }
}
